# nng_tls_config_server_name(3tls) Manual Page

## NAME

nng_tls_config_server_name - configure remote server name

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/tls/tls.h>

    int nng_tls_config_server_name(nng_tls_config *cfg, const char *name);

## DESCRIPTION

The `nng_tls_config_server_name()` function configures the remote server name to be used by a client when connection to a server. The supplied name is used when comparing the identity in the server’s certificate. Furthermore, when Server Name Indication (SNI) is used, the name may be sent to the server as a hint to tell it which of several possible certificates should be used.

| This function is only useful in configuring client behavior.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory is available.
`NNG_EBUSY` | The configuration cfg is already in use, and cannot be modified.

## SEE ALSO

nng_strerror(3), nng_tls_config_alloc(3tls), nng_tls_config_auth_mode(3tls), nng(7)